{
	"request-ok": "'request' berhasil diproses",
	"request-methodNotAllowed": "'request' ditolak, method tidak diijinkan",
	"request-tooMany": "terlalu banyak 'request'",
	"payload-bad":   "struktur data tidak sesuai standar",

	"auth-required": "butuh autentikasi",
	"auth-getData-failed": "gagal mengambil data user",
	"auth-missingHeader": "header autentikasi tidak ditemukan",
	"auth-forbidden": "tidak diijinkan",
	"auth-login-success": "login berhasil",
	"auth-login-incorrect": "Username atau Password Tidak Sesuai",
	"auth-login-tooMany": "login gagal, terlalu banyak percobaan",
	"auth-login-blocked": "login gagal, akun diblokir",
	"auth-login-unverified": "login gagal, akun belum terverifikasi",
	"auth-logout-success": "logout berhasil",
	"auth-reject-suspend": "dibatasi untuk akun dibekukan",

	"balance-exceeded": "tidak boleh melebihi saldo",

	"email-confirmation-success": "konfimrasi email berhasil",
	"email-confirmation-fail": "gagal mengkonfirmasi email",
	"email-confirmation-resend-fail": "gagal mengirim konfirmasi email",

	"data-create-success": "data telah dibuat",
	"data-create-fail":   "gagal membuat data",
	"data-notFound": "data atau sumber tidak daoat ditemukan",
	"data-notFound-condition": "\"%v\" dengan %v \"%v\" tidak dapat ditemukan",
	"data-get-fail": "gagal mengambil data, %v",
	"data-update-success":   "berhasil memperbarui data",
	"data-update-fail":   "gagal memperbarui data",
	"data-delete-success":   "data telah dihapus",
	"data-delete-fail":   "gagal menghapus data",
	"data-fetch-fail":    "gagal mengambil data",
	"data-copy-fail":     "gagal menyalin data",
	"data-process-fail":  "gagal memproses data",
	"data-confirm-fail":  "gagal mengirim data",
	"data-generate-fail": "gagal membuat data",
	"data-registered":    "sudah pernah dibuat",
	"data-state-mismatch": "\"%v\" tidak dalam kondisi \"%v\"",
	"data-duplicate": "duplicate data",
	"data-payment-fail": "failed to create payment",

	"expired": "expired",
	"registered": "sudah terdaftar",
	"mustUuid": "harus UUID yang valid",
	"invalid": "nilai tidak sesuai",
	"equalToField": "harus sama dengan",
	"constraint-vioalate": "tidak boleh melanggar batasan",

	"config-fetch-done": "konfigurasi app berhasil diterapkan",
	"userToken-incorrect": "salah email, token, atau jenis token",

	"token-missing": "token tidak dapat ditemukan",
	"token-invalid": "token tidak berlaku",
	"token-invalidType": "jenis token tidak berlaku",
	"token-sign-unexcpeted": "metode penanda tidak beralku: %v",
	"token-sign-err": "penanda token tidak sesuai, %v",
	"token-parse-fail": "%v",
	"token-expired": "Token Expired",
	"token-unidentified": "token tidak dapat diidentifikasi",

	"file-detect-fail": "gagal mendeteksi tipe file",
	"file-type-mismatch": "tipe file tidak sesuai",
	"file-create-fail": "gagal membuat file, %v",
	"file-open-fail": "gagal membuka file, %v",
	"file-copy-fail": "gagal menyalin file, %v",

	"uuid-gen-fail" : "gagal membuat UUID, %v",
	"nanoid-gen-fail" : "gagal membuat NANOID, %v",

	"redis-store-fail": "gagal mengimpan data pada redis, %v",

	"eq": "must be equal to %v", 
	"gt": "must be greater than %v",
	"gte": "lebih besar atau sama dengan %v",
	"lt": "must be less than %v",
	"lte": "lebih kecil atau sama dengan %v",

	"jknData-required": "%v Belum Diisi",
	"jknData-length": "Format %v Tidak Sesuai",
	"jknData-numeric": "Format %v Tidak Sesuai",
	"jknData-notFound": "%v Tidak Ditemukan"
}
